Index: svn/src/devices/device.c
===================================================================
--- svn.orig/src/devices/device.c
+++ svn/src/devices/device.c
@@ -667,7 +667,7 @@ static void avoid_fixed_resources(struct
 	}
 }
 
-#if CONFIG_CONSOLE_VGA == 1
+#if CONFIG_VGA_BRIDGE_SETUP == 1
 device_t vga_pri = 0;
 static void set_vga_bridge_bits(void)
 {
@@ -926,7 +926,7 @@ void dev_configure(void)
 	struct device *child;
 	int i;
 
-#if CONFIG_CONSOLE_VGA == 1
+#if CONFIG_VGA_BRIDGE_SETUP == 1
 	set_vga_bridge_bits();
 #endif
 
Index: svn/src/console/Kconfig
===================================================================
--- svn.orig/src/console/Kconfig
+++ svn/src/console/Kconfig
@@ -29,7 +29,7 @@ config USBDEBUG_DIRECT
 	# TODO: FIX DEPENDENCY HERE
 
 config CONSOLE_VGA
-	bool
+	bool "Use VGA console, once initialized."
 	default n
 
 config MAXIMUM_CONSOLE_LOGLEVEL
Index: svn/src/devices/Kconfig
===================================================================
--- svn.orig/src/devices/Kconfig
+++ svn/src/devices/Kconfig
@@ -20,6 +20,13 @@
 
 menu "Devices"
 
+config VGA_BRIDGE_SETUP
+	bool "Setup bridges on path to VGA adapter"
+	default y
+	help
+	  Allow bridges to set up legacy decoding ranges for VGA.  Don't disable
+	  this unless you're sure you don't want the briges setup for VGA.
+
 config VGA_ROM_RUN
 	bool "Run VGA Option ROMs"
 	help
@@ -32,11 +39,11 @@ config PCI_ROM_RUN
 	  Execute non-VGA PCI option ROMs if found.
 
 choice
-        prompt "Option ROM Execution"
-        default  PCI_OPTION_ROM_RUN_REALMODE
+	prompt "Option ROM Execution"
+	default  PCI_OPTION_ROM_RUN_REALMODE
 	depends on PCI_ROM_RUN || VGA_ROM_RUN
-        help
-          You can choose to execute PCI option ROMs natively (32bit x86 system
+	help
+	  You can choose to execute PCI option ROMs natively (32bit x86 system
 	  required) or in an emulator (x86emu or YABEL).
 
 	config PCI_OPTION_ROM_RUN_REALMODE
@@ -62,6 +69,10 @@ config YABEL_DEBUG_FLAGS
 
 endmenu
 
+config CONSOLE_VGA_MULTI
+	bool
+	default n
+
 config PCI_64BIT_PREF_MEM
 	bool
 	default n
@@ -85,6 +96,3 @@ config AGP_PLUGIN_SUPPORT
 config CARDBUS_PLUGIN_SUPPORT
 	bool
 	default n
-
-
-
